# ItemEvents

### Enum Values

| Name         | Description                                      |
| ------------ | ------------------------------------------------ |
| `Command`    | Triggered when the `use` command is used         |
| `Pickup`     | Triggered when a player picks up the item.       |
| `Drop`       | Triggered when the item is dropped.              |
| `Use`        | Triggered when the item is used.                 |
| `Noclip`     | Triggered when a player presses their noclip key |
| `Detonation` | Triggered when the item detonates.               |
| `SSSS`       | Server Specific Settings trigger.                |
| `Inspect`    | Triggered when the user inspects the item        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/uncomplicatedcustomitems/api/enums/internal/itemevents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
